Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.technicalconnector.ra.enumaration
Enum RevocationReason

    java.lang.Object
      java.lang.Enum<RevocationReason>
          be.fgov.ehealth.technicalconnector.ra.enumaration.RevocationReason

All Implemented Interfaces:
  Serializable, Comparable<RevocationReason>

    public enum RevocationReason

extends Enum<RevocationReason>

Enumaration containg the different reason why the certificate must be revoked.

Enum Constant Summary
`AFFILIATION_CHANGED`
`CA_POLICY_VIOLATED`
`OTHER`
`PASSWORD_COMPROMISED`
`PASSWORD_FORGOTTEN`

Method Summary
`String` | `getLabel(Language lang)`
`static RevocationReason` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RevocationReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PASSWORD_COMPROMISED

    public static final RevocationReason PASSWORD_COMPROMISED

### PASSWORD_FORGOTTEN

    public static final RevocationReason PASSWORD_FORGOTTEN

### AFFILIATION_CHANGED

    public static final RevocationReason AFFILIATION_CHANGED

### CA_POLICY_VIOLATED

    public static final RevocationReason CA_POLICY_VIOLATED

### OTHER

    public static final RevocationReason OTHER

Method Detail

### values

    public static RevocationReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RevocationReason c : RevocationReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RevocationReason valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getLabel

    public String getLabel(Language lang)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.